package com.gh.gamecenter.core.provider

import android.content.Context
import android.view.View

interface ILoginProvider {

    fun showLoginPolicyDialog(
        authContent: Context,
        context: Context,
        isFromQuickLogin: Boolean,
        privacyText: String,
        callback: () -> Unit
    )

    fun createQuickLoginBackgroundView(context: Context): View

    fun startQuickLoginHelperPageFromQuickLogin(loginToken: String, context: Context, continuablePath: String?, callback: (() -> Unit)?)

    fun startCodeLoginPageFromQuickLogin(openAuthPageSuccess: Boolean, context: Context, continuablePath: String?, callback: (() -> Unit)?)

    fun createCustomView(context: Context, continuablePath: String?, callback: (() -> Unit)?): View
}